# Plot of the symbol error rates for rate-1/4 turbo-codes in ACGN for Type 2
# filter.
set term postscript eps color 22
set nokey
set format y "%2.1e"
set output "filter2.eps"
set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Symbol error rate"
plot "../tc1color/tc1cdata/filter2m1.dat" t\
     "Predictive turbo code with 1st-order predictor for Type 2 filter"\
      w lines lt 1 lw 3,\
     "../tc1color/tc1cdata/filter2m2.dat" t\
     "Predictive turbo code with 2nd-order predictor for Type 2 filter"\
      w lines lt 2 lw 3,\
     "../tc2color/tc2cdata/filter2.dat" t\
     "Regular turbo code for Type 2 filter"\
      w lines lt 3 lw 3,\
     "../tc2color/tc2cdata/awgn.dat" t\
     "Regular turbo code for AWGN"\
      w lines lt 4 lw 3
