# Plot of the symbol error rates for rate-1/4 turbo-codes in ACGN.
set term postscript eps color 22
set nokey
set format y "%2.1e"
set output "filter1.eps"
set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Symbol error rate"
plot "../tc1color/tc1cdata/filter1.dat" t\
     "Predictive turbo code for Type 1 filter"\
      w lines lt 1 lw 3,\
     "../tc2color/tc2cdata/awgn.dat" t "Turbo code in AWGN"\
      w lines lt 2 lw 3,\
     "../tc2color/tc2cdata/filter1.dat" t\
     "Regular turbo code for Type 1 filter"\
      w lines lt 3 lw 3,\
     "../tc1color/tc1cdata/filter1p6.dat" t\
     "Predictive turbo code for Type 1 filter with coefficient 0.6"\
      w lines lt 4 lw 3
